#ifndef QAD_WIDGETS_H
#define QAD_WIDGETS_H

#include <QtDesigner/QtDesigner>
#include <QtCore/qplugin.h>

class QADWidgets: public QObject, public QDesignerCustomWidgetCollectionInterface
{
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)

public:
	explicit QADWidgets(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface * > customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface * > m_widgets;

};

#endif // QAD_WIDGETS_H
